<li
  class="innerShadow task">
  <ng-container *ngIf="!isEdit">
    <div>
          <span (click)="deleteTask()">
            <i class="fa-solid fa-trash"></i>
          </span>
      <span class="edit" (click)="toggleEditTask()">
            <i class="fa-solid fa-pencil"></i>
          </span>
      <span class="archive" (click)="onArchive.emit(task)">
            <i class="fa-solid fa-box-archive"></i>
          </span>
    </div>
    <div appDndDraggable class="drag" [list]="list" [item]="task"
         (onDrag)="updateList.emit($event)">
      {{task.name}}
    </div>
    <div>
      Comments: {{task.comments?.length || 0}}
      <div *ngIf="isComment" class="input-group mb-3">
        <input type="text" id="add-comment" placeholder="Add a new TO-DO" [(ngModel)]="newComment">
        <div class="input-group-append">
          <span class="input-group-text" id="add-comment-button" (click)="addComment()">Add</span>
        </div>
      </div>
      <i class="fa-solid fa-plus" (click)="toggleAddCommentTask()"></i>
      <p *ngFor="let comment of task.comments; let i = index;">{{comment}}
        <i class="fa-solid fa-trash" (click)="deleteComment(i)"></i></p>
    </div>
  </ng-container>
  <ng-container *ngIf="isEdit">
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Recipient's username" aria-label="Recipient's username"
             aria-describedby="basic-addon2" [(ngModel)]="task.name">
      <div class="input-group-append">
        <span class="input-group-text" id="basic-addon2" (click)="editTask()">Add</span>
      </div>
    </div>
  </ng-container>
</li>
